Autor Tema: Problema require_once wordpress  (Leído 2819 veces)

Desconectado angelvil

  • Newbie
  • *
  • Mensajes: 1
  • www.daboweb.com
Problema require_once wordpress
« en: 22 de Agosto de 2016, 03:33:14 pm »
Hola, resulta que tengo un problema con una web hecha en Wordpress. Hoy me he encontrado con el siguiente mensaje al intentar entrar... "

Warning: require_once(/homepages/6/d445168402/htdocs/clickandbuilds/fkr/wp-load.php): failed to open stream: Permission denied in /homepages/6/d445168402/htdocs/clickandbuilds/fkr/wp-blog-header.php on line 13

Fatal error: require_once(): Failed opening required '/homepages/6/d445168402/htdocs/clickandbuilds/fkr/wp-load.php' (include_path='.:/usr/lib/php5.6') in /homepages/6/d445168402/htdocs/clickandbuilds/fkr/wp-blog-header.php on line 13

Googleando he visto que incluyendo include_path='.:/usr/lib/php5.6' debajo de dicha linea se solucionaba, pero no sólo eso sino que ahora me aparece esto:

Parse error: syntax error, unexpected '=' in /homepages/6/d445168402/htdocs/clickandbuilds/fkr/wp-blog-header.php on line 13

Os dejo el contenido del archivo "wp-blog-header.php"

<?php
/**
 * Loads the WordPress environment and template.
 *
 * @package WordPress
 */

if ( !isset($wp_did_header) ) {

   $wp_did_header = true;

   // Load the WordPress library.
   require_once( dirname(__FILE__) . '/wp-load.php' );
include_path='.:/usr/lib/php5.6'
   // Set up the WordPress query.
   wp();

   // Load the theme template.
   require_once( ABSPATH . WPINC . '/template-loader.php' );

}

Alguien sabría decirme por qué pasa esto y cómo solucionarlo? He de terminar esta web para un amigo y no puedo hasta saltar este bache, gracias.

Desconectado Liamngls

  • Administrator
  • ******
  • Mensajes: 15568
    • Manuales-e
Re:Problema require_once wordpress
« Respuesta #1 en: 22 de Agosto de 2016, 05:30:16 pm »
¿De dónde sale esta dirección?

/homepages/6/d445168402/htdocs/clickandbuilds/fkr/wp-blog-header.php

Es posible que te hayan metido algo en la instalación, posiblemente por una contraseña débil o una versión vulnerable de wordpress; una instalación limpia de la última versión sería lo más recomendable.

También puedes instalar el plugin AntiVirus y hacer un escaneo a ver que sale.

Desconectado Liamngls

  • Administrator
  • ******
  • Mensajes: 15568
    • Manuales-e
Re:Problema require_once wordpress
« Respuesta #2 en: 23 de Agosto de 2016, 12:14:18 am »
Hola,

¿Por el path que comentas estás usando el servicio de http://www.clickandbuild.co.uk/?

Te recomiendo que si estás allí contrates un hosting serio y compres el template en www.themeforest.com o www.elegantthemes.com

Liam la ruta/path sale de ese proveedor. No es un tema de virus ni nada parecido. Es un tema de once require de php.

Perdón por ser el foro de Dabo y tal pero uno empieza a estar hasta las pelotillas de estudiar y tal y no tener clientes y luego cualquiera vaya montando webs, contratando en proveedores chapuzas y pidiendo soporte en foros. No es de recibo.

Saludos,

Nadie te obliga a dar soporte a quien por tus convicciones creas que no lo merece y esto no es discutible, el próximo mensaje con un comentario que no venga a cuento lo borro y a otra cosa. Si quieres abrir un tema en charlas para hablar de este tema y quedarte a gusto eres libre de hacerlo.

Desconectado residenciacer

  • Newbie
  • *
  • Mensajes: 1
  • También se pueden ingresar y son muy apropiados
    • Residencia de Ancianos en Sevilla
Re:Problema require_once wordpress
« Respuesta #3 en: 06 de Septiembre de 2016, 12:04:12 pm »
Sino has solucionado el problema, creo que puede ser algún problema de incompatibilidad del Theme con la versión de wordpress.

 

Aviso Legal | Política de Privacidad | Política de Cookies

el contenido de la web se rige bajo licencia
Creative Commons License